package com.iver.cit.gvsig.gui.toc.actions;

import java.awt.event.ActionEvent;

import javax.swing.JMenuItem;

import com.iver.andami.PluginServices;
import com.iver.cit.gvsig.fmap.layers.FLayer;
import com.iver.cit.gvsig.fmap.layers.FLyrDefault;
import com.iver.cit.gvsig.fmap.layers.FLyrRaster;
import com.iver.cit.gvsig.gui.panels.AdjustTransparencyPanel;
import com.iver.cit.gvsig.gui.toc.FPopupMenu;
import com.iver.cit.gvsig.gui.toc.TocMenuEntry;

/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
/* CVS MESSAGES:
 *
 * $Id: FLyrRasterAdjustTransparencyTocMenuEntry.java,v 1.2.2.1 2006/09/23 16:05:48 jorpiell Exp $
 * $Log: FLyrRasterAdjustTransparencyTocMenuEntry.java,v $
 * Revision 1.2.2.1  2006/09/23 16:05:48  jorpiell
 * Se han sacado las opciones de  men del TOC de FPopupMenu a una nueva clase
 *
 *
 */
public class FLyrRasterAdjustTransparencyTocMenuEntry extends TocMenuEntry {
	private JMenuItem transparency;
	FLayer lyr = null;
	public void initialize(FPopupMenu m) {
		super.initialize(m);

		if (isTocItemBranch()) {
			lyr = getNodeLayer();
    		// Opcciones para capas raster
    		if ((lyr instanceof FLyrRaster)) {
    		    transparency = new JMenuItem(PluginServices.getText(this, "adjust_transparency"));
    			getMenu().add( transparency );
    			transparency.setFont(FPopupMenu.theFont);
    			getMenu().setEnabled(true);
    			//getMenu().addSeparator();
    	        //Cambio color
    	        transparency.addActionListener(this);
     		}
		}
	}
	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.gui.toc.TocMenuEntry#execute(com.iver.cit.gvsig.gui.toc.ITocItem)
	 */
	public void actionPerformed(ActionEvent e) {
       	lyr = getNodeLayer();
        AdjustTransparencyPanel transPanel = new AdjustTransparencyPanel((FLyrDefault) lyr);
		transPanel.openJDialog();
        //getMapContext().invalidate();
	}
}
