/* gvSIG. Sistema de Informacin Geogrfica de la Generalitat Valenciana
 *
 * Copyright (C) 2004 IVER T.I. and Generalitat Valenciana.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * For more information, contact:
 *
 *  Generalitat Valenciana
 *   Conselleria d'Infraestructures i Transport
 *   Av. Blasco Ibez, 50
 *   46010 VALENCIA
 *   SPAIN
 *
 *      +34 963862235
 *   gvsig@gva.es
 *      www.gvsig.gva.es
 *
 *    or
 *
 *   IVER T.I. S.A
 *   Salamanca 50
 *   46005 Valencia
 *   Spain
 *
 *   +34 963163400
 *   dac@iver.es
 */
package com.iver.cit.gvsig.fmap.rendering;

import com.hardcode.gdbms.engine.values.Value;

import com.iver.cit.gvsig.fmap.core.v02.FSymbol;
import com.iver.cit.gvsig.fmap.rendering.styling.FStyle2D;

import com.iver.utiles.XMLEntity;


/**
 * Leyenda de una clase raster por valor unico.
 *
 * @author Vicente Caballero Navarro
 */
public class RasterUniqueValueLegend implements UniqueValueLegend, RasterLegend {
	String fieldName;

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.UniqueValueLegend#setValueSymbolByID(int,
	 * 		FSymbol)
	 */
	public void setValueSymbolByID(int id, FSymbol symbol) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.UniqueValueLegend#addSymbol(java.lang.Object,
	 * 		FSymbol)
	 */
	public void addSymbol(Object key, FSymbol symbol) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.ClassifiedLegend#clear()
	 */
	public void clear() {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.ClassifiedLegend#getFieldName()
	 */
	public String getFieldName() {
		return fieldName;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.ClassifiedLegend#setFieldName(String)
	 */
	public void setFieldName(String i) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.RasterLegend#getSymbol(double)
	 */
	public FStyle2D getSymbol(double d) {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.RasterLegend#setDefaultSymbol(com.iver.cit.gvsig.fmap.rendering.styling.FStyle2D)
	 */
	public void setDefaultSymbol(FStyle2D s) {
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.ClassifiedLegendInfo#getDescriptions()
	 */
	public String[] getDescriptions() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.ClassifiedLegendInfo#getSymbols()
	 */
	public FSymbol[] getSymbols() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.ClassifiedLegendInfo#getValues()
	 */
	public Object[] getValues() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.Legend#getDefaultSymbol()
	 */
	public FSymbol getDefaultSymbol() {
		return null;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.Legend#getSLDString()
	 */
	public String getSLDString(String layerName) {
		StringBuffer sld = new StringBuffer();
		//xml.putProperty("className",this.getClass().getName());

		//TODO
		return sld.toString();
	}
	
	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.Legend#getXMLEntity()
	 */
	public XMLEntity getXMLEntity() {
		XMLEntity xml = new XMLEntity();
		xml.putProperty("className",this.getClass().getName());

		//TODO
		return xml;
	}

	/**
	 * Crea un RasterUniqueValueLegend a partir del XMLEntity.
	 *
	 * @param xml XMLEntity.
	 *
	 * @return Nuevo RasterUniqueValueLegend
	 */
	public static RasterUniqueValueLegend createFromXML(XMLEntity xml) {
		RasterUniqueValueLegend ruvl = new RasterUniqueValueLegend();

		//TODO
		return ruvl;
	}

	/**
	 * @see com.iver.cit.gvsig.fmap.rendering.Legend#cloneLegend()
	 */
	public Legend cloneLegend() {
		return createFromXML(getXMLEntity());
	}

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.rendering.UniqueValueLegend#getSymbolByID(int)
	 */
	public FSymbol getSymbolByID(int ID) {
		// TODO Auto-generated method stub
		return null;
	}

	/* (non-Javadoc)
	 * @see com.iver.cit.gvsig.fmap.rendering.UniqueValueLegend#getSymbolByValue(com.hardcode.gdbms.engine.values.Value)
	 */
	public FSymbol getSymbolByValue(Value key) {
		// TODO Auto-generated method stub
		return null;
	}

	public void delSymbol(Object key) {
		// TODO Auto-generated method stub
		
	}
}
